(function ($) {
  "use strict";
  var preloader= $('#preloader').val();
  var base_url= $('#base_url').val();
  var request_count = 0;
  var all_products=[];
  get_data();
 
  $(document).on('click','.filter__btn',function(e) {
    $('.filter__btn').removeClass('js-checked');
    $(this).addClass('js-checked');
    var id= $(this).data('filter');
    render_filter_product(id);
  });

  function render_filter_product(id){
    if(id == 0){
      $('.filter_product').remove();
     $('.product_preload_item').remove();
     render_products('#random_product',all_products,'col-xl-3 col-lg-4 col-md-6 col-sm-6 filter_product');
     run_lazy();
     CountDown();
    }
    else{
       $.ajax({
            type: 'get',
            url: base_url+'/get_shop_products',
            dataType: 'json',
            data:{order: 'DSC',categories: [id]},
            beforeSend: function() {
              $('.filter_product').remove();
              product_preload('#random_product',5);
            },           
            success: function(response){ 
               $('.product_preload_item').remove();
               render_products('#random_product',response.data,'col-xl-3 col-lg-4 col-md-6 col-sm-6 filter_product');
               run_lazy();
               CountDown();
            },
            error: function() 
            {
               $('.product_preload_item').remove();
            }
        })
    }

  }

  function get_data() {
      $.ajax({
            type: 'get',
            url: base_url+'/get_home_page_products',
            data:{latest_product:1,get_offerable_products:20,random_product:1,best_selling_product:1,trending_products:1,sliders:1,bump_adds:1,banner_adds:1,featured_brand:1,featured_category:1,menu_category:1},
            dataType: 'json',            
            beforeSend: function() {
                product_preload('.new_product_preload',5)
                product_preload('.trending_products',9)
                product_preload('.bump_ads',5)
                product_preload('#random_product',9)
                
            },            
            success: function(response){ 
                $('.cat-item').remove();
                $('.slider_area').removeClass('content-placeholder');
                $('.banner_ads').removeClass('content-placeholder');
                $('.slider_area').removeClass('slider_preload');
                $('.banner_ads').removeClass('slider_preload');
                $('.new_product_preload').remove();
                $('.product_preload_item').remove();
                
                if(response.get_menu_category.length > 0){                 
                  $.each(response.get_menu_category, function(index, value){
                    
                    var html = '<li >';
                        html += '<a href="'+base_url+'/category/'+value.slug+'/'+value.id+'">';
                        html += '<span>'+value.name+'</span></a>';
                        html += '<span class="js-menu-toggle js-toggle-mark"></span></li>';
                        
                    $('#menu_category').append(html);
                  });
                }
                
                
                if(response.featured_category.length > 0){
                  $.each(response.featured_category, function(index, value){
                    var html ='<div class="u-s-m-b-30 pl-12">';
                        html +='<div class="category-o">';
                        html +='<div class="aspect aspect--bg-grey aspect--square category-o__img-wrap">';
                        html +='<img class="aspect__img category-o__img lazy" src="'+preloader+'" data-src="'+value.preview+'" alt=""></div>';
                        html +='<div class="category-o__info">';
                        html +='<a class="category-o__shop-now btn--e-white-brand" href="'+base_url+'/category/'+value.slug+'/'+value.id+'">'+value.name+'</a></div>';
                        html +='</div></div>';
                        $('.featured_category').append(html);
                  }); 
                };

                
                
                if (response.sliders.length > 0) {
                     $.each(response.sliders, function(index, value){
                      var img=value.slider;
                      var title=value.meta.title;
                      var btn_text=value.meta.btn_text;
                      var url=value.url;
                      var html='<div class="hero-slide hero-slide--7" style="background-image:url('+img+')">';
                      html +='<div class="container">';
                      html +=' <div class="primary-style-3-wrap">';
                      html +='<div class="row">';
                      html +='<div class="col-12">';
                      html +='<div class="slider-content slider-content--animation">';
                      html +='<span class="content-span-2 u-c-secondary">'+title+'</span>';
                      html +='<span class="content-span-4 u-c-secondary">';
                      html +='<a class="shop-now-link btn--e-brand" href="'+url+'">'+btn_text+'</a>';
                      html +='</div></div></div></div></div></div>';
                      $('#hero-slider').append(html);
                    });  
                    primarySlider();
                }
                else{
                    $('.slider_area').remove();
                }

                if(response.bump_adds.length > 0){
                  $.each(response.bump_adds, function(index, value){  
                    var html ='<div class="u-s-m-b-30 pl-12"><a href="'+value.url+'">';
                    html +='<div class="category-o">';
                    html +='<div class="aspect aspect--bg-grey aspect--square category-o__img-wrap">';
                    html +='<img class="aspect__img category-o__img lazy"  src="'+preloader+'" data-src="'+value.image+'"  alt=""></div>';
                    html +='<div class="category-o__info">';
                    html +='</div>';
                    html +='</div><a/></div>';                        
                    
                   $('.bump_ads').append(html);
                  });

                }
                else{
                  $('.featured_category_section').remove();
                }

                 if (response.get_offerable_products.length > 0) {                 
                   render_products('#get_offerable_products',response.get_offerable_products,'pl-12');
                   $('.get_offerable_products').show(); 
                }
                
                else{
                    $('.get_offerable_products').remove();
                }

                if (response.get_trending_products.length > 0) {
                  render_products('.trending_products',response.get_trending_products,'pl-12');
                } 
                else{
                  $('.trending_products_area').remove();
                } 

                if (response.get_best_selling_product.length > 0) {
                  render_products('.bestseles_products',response.get_latest_products,'pl-12');
                } 
                else{
                  $('.bestseles_products_area').remove();
                } 


                if (response.get_latest_products.length > 0) {
                   render_products('.new_product_area',response.get_latest_products,'pl-12');                  
                   productSlider(); 
                  
                }
                else{
                    $('.new_product_area').remove();
                }


                if (response.get_random_products.length > 0) {
                   all_products=response.get_random_products;
                   render_products('#random_product',response.get_random_products,'col-xl-3 col-lg-4 col-md-6 col-sm-6 filter_product');                  
                  
                    
                }
                else{
                    $('#random_product').remove();
                }
               
              

                if(response.banner_adds.length > 0){
                   $.each(response.banner_adds, function(index, value){
                   var html='<a href="'+value.url+'" ><img src="'+value.image+'" alt=""></a>';
                   $('.banner_ads').html(html)
                   });  
                }
                else{

                }  

                if(response.featured_brand.length > 0){
                  $.each(response.featured_brand, function(index, value){
                    var html='<div class="brand-slide"><a href="'+base_url+'/brand/'+value.slug+'/'+value.id+'"><img src="'+preloader+'" data-src="'+value.preview+'" class="lazy"  alt=""></a></div>';
                    $('#brand-slider').append(html);
                  })
                  brandSlider();
                }
                else{
                  $('.brand_area').remove();
                }


                
             
              run_lazy();
              CountDown();
               
            },
            error: function() 
            {
                if(request_count == 0){
                  get_data();  
                }
                request_count+1;
                
            }
        })
  }


 
 // Bind all sliders into the page
var primarySlider = function() {
      var primarySlider = $('#hero-slider');
        if (primarySlider.length) {
            primarySlider.owlCarousel({
                items: 1,
                autoplayTimeout: 3000,
                loop: true,
                margin: -1,
                dots: false,
                smartSpeed: 1500,
                rewind: false, // Go backwards when the boundary has reached
                nav: false,
                responsive: {
                    992: {
                        dots: true
                    }
                }
            });
        }
}



  // Bind Brand slider
  var brandSlider = function() {
    var $brandSlider = $('#brand-slider');
        // Check if brand slider on the page
        if ($brandSlider.length) {
          var itemPerLine = $brandSlider.data('item');
          $brandSlider.on('initialize.owl.carousel', function () {
            $(this).closest('.slider-fouc').removeAttr('class');
          }).owlCarousel({
            autoplay: false,
            loop: false,
            dots: false,
            rewind: true,
            nav: true,
            navElement: 'div',
            navClass: ['b-prev', 'b-next'],
            navText: ['<i class="fas fa-angle-left"></i>', '<i class="fas fa-angle-right"></i>'],
            responsive: {
              0: {
                items: 2
              },
              768: {
                items: 3,
              },
              991: {
                items: itemPerLine
              },
              1200: {
                items: itemPerLine
              }
            }

          });
        }
      };
function isOdd(num) {
 return num % 2;
}
})(jQuery);
    