<?php
$cart_count=Cart::instance('default')->count();
$cart_content=Cart::instance('default')->content();
$cart_subtotal=Cart::instance('default')->subtotal();
$cart_total=Cart::instance('default')->total();
$wishlist=Cart::instance('wishlist')->count();
?>
<!--=====================================
                    HEADER PART START
        =======================================-->
        <header class="header-part">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12 col-md-6 col-lg-6">

                        <ul class="header-content">
                            <?php if(Cache::has(domain_info('user_id').'store_email')): ?>
                            <li>
                                <i class="fas fa-envelope text-danger"></i>
                                <p><?php echo e(Cache::get(domain_info('user_id').'store_email')); ?></p>
                            </li>
                            <?php endif; ?>
                           
                        </ul>
                    </div>
                    <div class="col-sm-12 col-md-6 col-lg-6">
                        <ul class="header-content header-widget">
                            
                            <?php if(Cache::has(domain_info('user_id').'languages')): ?>
                            <?php
                            $languages=Cache::get(domain_info('user_id').'languages');
                            $languages=json_decode($languages);
                            ?>
                            <li class="dropdown">
                                <a href="#"><i class="fas fa-globe text-danger"></i><?php echo e(__('language')); ?></a>
                                <ul class="dropdown-menu header-dropdown">
                                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang_key=> $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a class="dropdown-item <?php if($language == Session::get('locale')): ?> active_language text-white <?php endif; ?>" href="<?php echo e(url('/make_local?'.'lang='.$language.'&full='.$lang_key)); ?>"  ><?php echo e($lang_key); ?></a></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </div>
        </header>
        <!--=====================================
                    HEADER PART END
        =======================================-->


        <!--=====================================
                    NAVBAR PART START
        =======================================-->
        <section class="navbar-part">
            <div class="container">
                <div class="navbar-content">
                    <ul class="round-icon left-widget">
                        <li><a href="#" class="left-bar"><i class="fas fa-align-left"></i></a></li>
                        <li><a href="#" class="left-src"><i class="fas fa-search"></i></a></li>
                    </ul>
                    <div class="navbar-logo">
                        <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(asset('uploads/'.domain_info('user_id').'/logo.png')); ?>" alt=""></a>
                    </div>
                    <div class="navbar-form">
                        <form action="<?php echo e(url('/shop')); ?>">
                            <input type="text" placeholder="Search anything..." name="src" class="src" value="<?php echo e($src ?? null); ?>">
                            <button class="btn btn-inline"><i class="fas fa-search"></i><?php echo e(__('search')); ?></button>
                        </form>
                    </div>
                    <ul class="round-icon right-widget">
                         <?php if(env('MULTILEVEL_CUSTOMER_REGISTER') == true): ?>
                        <li>
                            <a href="<?php echo e(url('/user/dashboard')); ?>">
                                <i class="fas fa-user"></i>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(url('/wishlist')); ?>">
                                <i class="fas fa-heart"></i>
                                <sup class="wishlist_count"><?php echo e($wishlist); ?></sup>
                            </a>
                        </li>
                        <li>
                            <a href="#" class="cart-icon">
                                <i class="fas fa-shopping-cart"></i>
                                <sup id="cart_count"><?php echo e($cart_count); ?></sup>
                            </a>
                        </li>
                        <?php else: ?>
                         <li>
                            <a href="<?php echo e(url('/wishlist')); ?>">
                                <i class="fas fa-heart"></i>
                                <sup class="wishlist_count"><?php echo e($wishlist); ?></sup>
                            </a>
                        </li>
                        <li>                           
                        </li>                       
                        <li>
                            <a href="#" class="cart-icon">
                                <i class="fas fa-shopping-cart"></i>
                                <sup id="cart_count"><?php echo e($cart_count); ?></sup>
                            </a>
                        </li>
                        <?php endif; ?>

                        
                        
                    </ul>
                </div>
            </div> 
        </section>
        <!--=====================================
                    NAVBAR PART END
        =======================================-->


        <!--=====================================
                 RIGHT SIDEBAR PART START
        =======================================-->
        <section class="right-sidebar">
            <div class="right-sidebar-cover sidebar-cover">
                <a class="cross-btn right-cross" href="#"><i class="fas fa-times"></i></a>
                <div class="container">
                    <div class="sidebar-logo">
                        <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(asset('uploads/'.domain_info('user_id').'/logo.png')); ?>" alt="logo"></a>
                    </div>
                    <div class="sidebar-heading">
                        <h4><?php echo e(__('Shopping Cart')); ?></h4>
                    </div>
                    <ul class="cart-list overflow-auto" >

                        <?php $__currentLoopData = $cart_content; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                        <li class="cart-item cart-row<?php echo e($row->rowId); ?>">
                            <div class="cart-img">
                                <a href="<?php echo e(url('/product/'.$row->name.'/'.$row->id)); ?>"><img src="<?php echo e(asset($row->options->preview)); ?>" alt="cart-1"></a>
                            </div>
                            <div class="cart-info">
                                <a href="<?php echo e(url('/product/'.$row->name.'/'.$row->id)); ?>"><?php echo e($row->name); ?></a>
                                <p><?php echo e($row->qty); ?> x <span><?php echo e(amount_format($row->price)); ?></span></p>
                            </div>
                            <div class="cart-remove">
                                <a href="javascript:void(0)" onclick="remove_cart(<?php echo e($row->id); ?>)"><i class="fas fa-times"></i></a>
                            </div>
                            <input type="hidden" value="<?php echo e($row->rowId); ?>" id="rowid<?php echo e($row->id); ?>">
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        
                    </ul>
                    <ul class="cart-price">
                        <li>
                            <span><?php echo e(__('Sub total')); ?>:</span>
                            <span id="cart_sub_total"><?php echo e(amount_format($cart_subtotal)); ?></span>
                        </li>
                        <li>
                            <span><?php echo e(__('Total')); ?>:</span>
                            <span id="cart_total"><?php echo e(amount_format($cart_total)); ?></span>
                        </li>
                    </ul>
                    <ul class="cart-btn">
                        <li><a href="<?php echo e(url('/cart')); ?>" class="btn btn-light"><i class="fas fa-shopping-cart"></i> <?php echo e(__('view cart')); ?></a></li>
                        <li><a href="<?php echo e(url('/checkout')); ?>" class="btn btn-light"><i class="fas fa-sign-out-alt"></i> <?php echo e(__('Checkout')); ?></a></li>
                    </ul>
                </div>
            </div>
        </section>
        <!--=====================================
                    RIGHT SIDEBAR PART END
        =======================================-->


        <!--=====================================
                 LEFT SIDEBAR PART START
        =======================================-->
        <section class="left-sidebar">
            <div class="left-sidebar-cover sidebar-cover">
                <a class="cross-btn left-cross" href="#"><i class="fas fa-times"></i></a>
                <div class="container">
                    <div class="sidebar-logo">
                        <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(asset('uploads/'.domain_info('user_id').'/logo.png')); ?>" alt="logo"></a>
                    </div>
                    <div class="navbar-form sidebar-src">
                        <form action="<?php echo e(url('/shop')); ?>">
                            <input type="text" name="src" placeholder="Search anything..." class="src" value="<?php echo e($src ?? null); ?>">
                            <button class="btn btn-inline"><i class="fas fa-search"></i><?php echo e(__('search')); ?></button>
                        </form>
                    </div>
                    <ul class="accordion accor-ghape" id="accordionExample">
                        <?php echo e(CollapseAbleMenu('header','collapse')); ?>

                    </ul>
                </div>
            </div>
        </section>
        <!--=====================================
                    LEFT SIDEBAR PART END
        =======================================-->


        <!--=====================================
                    BTMBAR PART START
        =======================================-->
        <div class="btmbar-part">
            <ul class="btmbar-widget">
                <li>
                    <a href="<?php echo e(url('/')); ?>" >
                        <i class="fas fa-home"></i>
                        <span><?php echo e(__('Home')); ?></span>
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(url('/wishlist')); ?>">
                        <i class="fas fa-heart"></i>
                        <span><?php echo e(__('Wishlist')); ?></span>
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(url('/cart')); ?>">
                        <i class="fas fa-shopping-basket"></i>
                        <span><?php echo e(__('Cart')); ?></span>
                    </a>
                </li>
                 <?php if(env('MULTILEVEL_CUSTOMER_REGISTER') == true): ?>
                <li>
                    <a href="<?php echo e(url('/user/dashboard')); ?>">
                        <i class="fas fa-user"></i>
                        <span><?php echo e(__('Account')); ?></span>
                    </a>
                </li>
                <?php endif; ?>
            </ul>
        </div>
        <!--=====================================
                    BTMBAR PART END
        =======================================--><?php /**PATH /Volumes/my-works/laravel/dokans/script/resources/views/frontend/bigbag/layouts/header.blade.php ENDPATH**/ ?>