<?php $__env->startSection('head'); ?>
<?php echo $__env->make('layouts.partials.headersection',['title'=>'Domains'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
  <div class="col-12 mt-2">
    <div class="card">
      <div class="card-body">
        <?php if($type== 0 && $type != 'all'): ?>
        <div class="row mb-2">
         <div class="col-sm-12">
            <span>Note: <span class="text-danger"><?php echo e(__('Before Delete Domain Permanently U Need To Delete The Domain From Your Server')); ?></span> </span>
         </div>
        </div>
        <?php endif; ?>
        <div class="row mb-2">
          <div class="col-sm-8">

            <a href="<?php echo e(route('admin.domain.index')); ?>" class="mr-2 btn btn-outline-primary <?php if($type=="all"): ?> active <?php endif; ?>"><?php echo e(__('All')); ?> (<?php echo e($all); ?>)</a>

            <a href="<?php echo e(route('admin.domain.show',1)); ?>" class="mr-2 btn btn-outline-success <?php if($type==1): ?> active <?php endif; ?>"><?php echo e(__('Active')); ?> (<?php echo e($actives); ?>)</a>

            <a href="<?php echo e(route('admin.domain.show',2)); ?>" class="mr-2 btn btn-outline-danger <?php if($type==2): ?> active <?php endif; ?>"><?php echo e(__('Expired')); ?> (<?php echo e($drafts); ?>)</a>

            <a href="<?php echo e(route('admin.domain.show',3)); ?>" class="mr-2 btn btn-outline-warning <?php if($type==3): ?> active <?php endif; ?>"><?php echo e(__('Requested')); ?> (<?php echo e($Requested); ?>)</a>


            <a href="<?php echo e(route('admin.domain.show',0)); ?>" class="mr-2 btn btn-outline-danger <?php if($type== 0 && $type != 'all'): ?> active <?php endif; ?>"><?php echo e(__('Trash')); ?> (<?php echo e($trash); ?>)</a>
          </div>

          <div class="col-sm-4 text-right">
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('domain.create')): ?>
            <a href="<?php echo e(route('admin.domain.create')); ?>" class="btn btn-primary"><?php echo e(__('Create Domain')); ?></a>
            <?php endif; ?>
          </div>
        </div>

        <div class="float-right">
            <form>
              <div class="input-group mb-2">

                <input type="text" id="src" class="form-control" placeholder="Search..." required="" name="src" autocomplete="off" value="<?php echo e($request->src ?? ''); ?>">
                <select class="form-control selectric" name="type" id="type">
                  <option value="domain"><?php echo e(__('Search By Domain Name')); ?></option>
                  <option value="full_domain"><?php echo e(__('Search By Full Domain')); ?></option>
                  <option value="email"><?php echo e(__('Search By User Mail')); ?></option>

                </select>
                <div class="input-group-append">                                            
                  <button class="btn btn-primary" type="submit"><i class="fas fa-search"></i></button>
                </div>
              </div>
            </form>
          </div>

        <form method="post" action="<?php echo e(route('admin.domains.destroys')); ?>" class="basicform_with_reload">
          <?php echo csrf_field(); ?>
          <div class="float-left mb-1">
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('domain.delete')): ?>
            <div class="input-group">
              <select class="form-control selectric" name="method">
                <option value="" ><?php echo e(__('Select Action')); ?></option>
                <option value="1" ><?php echo e(__('Publish')); ?></option>
                <option value="2" ><?php echo e(__('Move To Expired')); ?></option>
                <?php if($type != "0"): ?>
                <option value="0" ><?php echo e(__('Move To Trash')); ?></option>
                <?php endif; ?>
                <?php if($type== 0 && $type != 'all'): ?>
                <option value="delete" ><?php echo e(__('Delete Permanently')); ?></option>
                <?php endif; ?>
              </select>
              <div class="input-group-append">                                            
                <button class="btn btn-primary basicbtn" type="submit"><?php echo e(__('Submit')); ?></button>
              </div>
            </div>
            <?php endif; ?>
          </div>
          

          <div class="table-responsive">
            <table class="table table-striped table-hover text-center table-borderless">
              <thead>
                <tr>
                  <th><input type="checkbox" class="checkAll"></th>

                  <th><?php echo e(__('Domain Name')); ?></th>
                  <th><?php echo e(__('Full Domain')); ?></th>
                  <th><?php echo e(__('User')); ?></th>
                  <th><?php echo e(__('Status')); ?></th>

                  <th><?php echo e(__('Created at')); ?></th>
                  <th><?php echo e(__('Action')); ?></th>
                </tr>
              </thead>
              <tbody>
                <?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr id="row<?php echo e($row->id); ?>">
                  <td><input type="checkbox" name="ids[]" value="<?php echo e($row->id); ?>"></td>

                  <td><a href="<?php echo e($row->full_domain); ?>" target="_blank"><?php echo e($row->domain); ?></a></td>
                  <td><a href="<?php echo e($row->full_domain); ?>" target="_blank"><?php echo e($row->full_domain); ?></a></td>
                  <td><a href="<?php echo e(route('admin.customer.show',$row->user->id)); ?>"><?php echo e($row->user->name); ?></a></td>
                  <td>
                    <?php if($row->status==1): ?> <span class="badge badge-success"><?php echo e(__('Active')); ?></span>
                    <?php elseif($row->status==0): ?> <span class="badge badge-danger"><?php echo e(__('Trash')); ?></span>
                    <?php elseif($row->status==2): ?> <span class="badge badge-danger"><?php echo e(__('Expired')); ?></span>
                     <?php elseif($row->status==3): ?> <span class="badge badge-warning"><?php echo e(__('Requested')); ?></span>
                    <?php endif; ?>
                  </td>
                  <td><?php echo e($row->created_at->diffforHumans()); ?></td>
                  <td>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('domain.edit')): ?>
                    <a href="<?php echo e(route('admin.domain.edit',$row->id)); ?>" class="btn btn-primary btn-sm text-center"><i class="far fa-edit"></i></a>
                    <?php endif; ?>

                  </td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </tbody>
              <tfoot>
                <tr>
                 <th><input type="checkbox" class="checkAll"></th>

                 <th><?php echo e(__('Domain Name')); ?></th>
                 <th><?php echo e(__('Full Domain')); ?></th>
                 <th><?php echo e(__('User')); ?></th>
                 <th><?php echo e(__('Status')); ?></th>
                 
                 <th><?php echo e(__('Created at')); ?></th>
                 <th><?php echo e(__('Action')); ?></th>
               </tr>
             </tfoot>
           </table>
           <?php echo e($posts->appends($request->all())->links('vendor.pagination.bootstrap-4')); ?>

         </div>
       </form>
     </div>
   </div>
 </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
<script src="<?php echo e(asset('assets/js/form.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Volumes/my-works/laravel/dokans/script/resources/views/admin/domain/index.blade.php ENDPATH**/ ?>